Package org.jfree.layouting.renderer.model.table.cells

## Class DataCell

- java.lang.Object
- - org.jfree.layouting.renderer.model.table.cells.TableCell
  - - org.jfree.layouting.renderer.model.table.cells.DataCell

-     public class DataCell
      extends TableCell

  A data-cell holds a reference to a TableCellRenderBox. It contains data and is usually found in the upper left corner of an cell.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataCell​(int rowSpan, int colSpan, java.lang.Object cellRenderBox)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getCellRenderBox​()` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class org.jfree.layouting.renderer.model.table.cells.TableCell

      `getColSpan, getRowSpan`

- - ### Constructor Detail

    - #### DataCell

          public DataCell​(int rowSpan,
                          int colSpan,
                          java.lang.Object cellRenderBox)

  - ### Method Detail

    - #### getCellRenderBox

          public java.lang.Object getCellRenderBox​()

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `TableCell`